# `constraints`

#### Constraints

The constraints module is accessible via the `sqlobject` module.

## Attributes

#### a `__package__`

    None

## Functions

#### f `isString(obj, col, value)` ...

#### f `notNull(obj, col, value)` ...

#### f `isInt(obj, col, value)` ...

#### f `isFloat(obj, col, value)` ...

#### f `isBool(obj, col, value)` ...

## Classes

#### C `BadValue(...)` ...

This class contains 10 members.

#### C `InList(...)` ...

This class contains 2 members.

#### C `MaxLength(...)` ...

This class contains 2 members.

See the source for more information.